(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/basic", "@tsparticles/updater-destroy", "@tsparticles/plugin-emitters", "./options.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadFountainPreset = void 0;
    const basic_1 = require("@tsparticles/basic");
    const updater_destroy_1 = require("@tsparticles/updater-destroy");
    const plugin_emitters_1 = require("@tsparticles/plugin-emitters");
    const options_js_1 = require("./options.js");
    async function loadFountainPreset(engine, refresh = true) {
        await (0, basic_1.loadBasic)(engine, false);
        await (0, updater_destroy_1.loadDestroyUpdater)(engine, false);
        await (0, plugin_emitters_1.loadEmittersPlugin)(engine, false);
        await engine.addPreset("fountain", options_js_1.options, false);
        await engine.refresh(refresh);
    }
    exports.loadFountainPreset = loadFountainPreset;
});
